[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

RegionCircularity Class Reference

Compute the circularity of a 2D region. More...

`#include <vigra/accumulator.hxx>`

## Detailed Description

Compute the circularity of a 2D region.

The is the ratio between the perimeter of a circle with the same area as the present region and the perimeter of the region, i.e.

, where a and p are the area and length of the polygon returned by RegionContour.

AccumulatorChain must be used with CoupledIterator in order to have access to pixel coordinates.

The documentation for this class was generated from the following file:

- vigra/accumulator.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.12.2